Package org.eclipse.gef.dot.internal.ui.conversion

# Class DotFontUtil

java.lang.Object
org.eclipse.gef.dot.internal.ui.conversion.DotFontUtil

public class DotFontUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`DotFontUtil.Font`
`static interface`
`DotFontUtil.SystemFontAccess`

## Constructor Summary

Constructors
Constructor
Description
`DotFontUtil()`

## Method Summary

Modifier and Type
Method
Description
`String`
`cssLocalFontFamily(org.eclipse.gef.dot.internal.language.fontname.FontName name)`
`String`
`cssStyle(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)`
`String`
`cssWeight(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)`
`org.eclipse.gef.dot.internal.language.fontname.FontName`
`parseHtmlFontFace(String face)`
`void`
`setSystemFontAccess(DotFontUtil.SystemFontAccess access)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotFontUtil

public DotFontUtil()

## Method Details

### cssLocalFontFamily

public String cssLocalFontFamily(org.eclipse.gef.dot.internal.language.fontname.FontName name)

### cssWeight

public String cssWeight(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)

### cssStyle

public String cssStyle(org.eclipse.gef.dot.internal.language.fontname.FontName dotFont)

### parseHtmlFontFace

public org.eclipse.gef.dot.internal.language.fontname.FontName parseHtmlFontFace(String face)

### setSystemFontAccess

public void setSystemFontAccess(DotFontUtil.SystemFontAccess access)